Subject: Re: next-20171103 build: 3 failures 22 warnings (next-20171103)

From: Masami Hiramatsu <[email-masked]>
Date: Sat, 4 Nov 2017 06:12:40 +0900

On Fri, 3 Nov 2017 21:16:21 +0100
Arnd Bergmann <[email-masked]> wrote:

> On Fri, Nov 3, 2017 at 8:27 PM, Masami Hiramatsu <[email-masked]> wrote:
> > On Fri, 3 Nov 2017 15:44:53 +0100 Arnd Bergmann <[email-masked]> wrote:
> >> On Fri, Nov 3, 2017 at 1:44 PM, Build bot for Mark Brown <[email-masked]> wrote:
> >>
> >> > Warnings Summary: 22
> >> >           2 ../net/sctp/probe.c:240:2: warning: 'unregister_jprobe' is deprecated [-Wdeprecated-declarations]
> >> >           2 ../net/sctp/probe.c:194:3: warning: 'register_jprobe' is deprecated [-Wdeprecated-declarations]
> >> >           2 ../net/sctp/probe.c:189:2: warning: 'register_jprobe' is deprecated [-Wdeprecated-declarations]
> >> >           2 ../net/ipv4/tcp_probe.c:298:2: warning: 'unregister_jprobe' is deprecated [-Wdeprecated-declarations]
> >> >           2 ../net/ipv4/tcp_probe.c:280:2: warning: 'register_jprobe' is deprecated [-Wdeprecated-declarations]
> >> >           2 ../net/dccp/probe.c:190:2: warning: 'unregister_jprobe' is deprecated [-Wdeprecated-declarations]
> >> >           2 ../net/dccp/probe.c:170:4: warning: 'register_jprobe' is deprecated [-Wdeprecated-declarations]
> >> >           2 ../net/dccp/probe.c:166:2: warning: 'register_jprobe' is deprecated [-Wdeprecated-declarations]
> >> >           1 ../arch/arm/probes/kprobes/test-core.c:398:2: warning: 'unregister_jprobe' is deprecated [-Wdeprecated-declarations]
> >> >           1 ../arch/arm/probes/kprobes/test-core.c:390:2: warning: 'register_jprobe' is deprecated [-Wdeprecated-declarations]
> >>
> >> I need a little help from Masami Hiramatsu to understand what the plan is here:
> >> Do we just need to remove those files now that jprobes are gone, or do
> >> we actually want to restore the functionality using some other replacement code?
> >>
> >> I'm asking because the __deprecated warning seems unhelpful if there
> >> isn't an easy way to address the warning.
> >
> > It seems that the arm/probes case is just for testing, I'll just remove it
> > because it's functionality is gone.
> 
> Makes sense, thanks!
> 
> > Others should be decided by network maintainers. Maybe those are not used anymore,
> > or should be rewritten by kprobes or ftrace.
> 
> Added a few people to cc that worked on {tcp,dccp,sctp}_probe in the past
> for clarification. Do you already have plans to deal with this?

As far as I can see, those features can not be fixed simply using kprobes because
they are using function arguments. Fortunately we already have trace-events nowadays.
So my suggestion is adding trace-events in the target function with required
arguments, rewrite user-space tools to use ftrace, and remove the modules.

Thank you,

-- 
Masami Hiramatsu <[email-masked]>